class V1::UserProgressesController < ApplicationController
    include ::DeletedObjectsController
    include ::Paginator

    def index
        progresses = Progress.joins("INNER JOIN requirements ON progresses.requirement_id = requirements.id")
        .select("requirements.description, requirements.goal, progresses.user_id, progresses.requirement_id, progresses.counter, progresses.created_at, progresses.updated_at")
        .where("counter < goal AND progresses.user_id = ?", params["user_id"])

        if (progresses.length < 4)
            all_progresses = Requirement.select("*").where("id IN (1,2,13)")

        else
            all_progresses = []
            descriptions = []

            last_string = "inicio"

            progresses.all.each do |p|
            
                if (!p.requirement.description.last(5).include? last_string.last(5))
                    all_progresses.append(p)
                end

                last_string = p.requirement.description    
            end
        end

        render json: all_progresses
    end



end